# MatGetRowIJ

Returns the compressed row storage i and j indices for sequential matrices.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatGetRowIJ(Mat mat,PetscInt shift,PetscTruth symmetric,PetscTruth blockcompressed,PetscInt *n,PetscInt *ia[],PetscInt* ja[],PetscTruth *done)

Collective on Mat

### Input Parameters

| mat | - the matrix
| shift | - 0 or 1 indicating we want the indices starting at 0 or 1
| symmetric | - PETSC_TRUE or PETSC_FALSE indicating the matrix data structure should be symmetrized
| blockcompressed | - PETSC_TRUE or PETSC_FALSE indicating if the nonzero structure of the blockcompressed matrix is desired or not [inode, baij have blockcompressed nonzero structure which is different than the full nonzero structure]

### Output Parameters

| n | - number of rows in the (possibly compressed) matrix
| ia | - the row pointers [of length n+1]
| ja | - the column indices
| done | - indicates if the routine actually worked and returned appropriate ia[] and ja[] arrays; callers are responsible for handling the case when done == PETSC_FALSE and ia and ja are not set

Notes: You CANNOT change any of the ia[] or ja[] values.

Use MatRestoreRowIJ() when you are finished accessing the ia[] and ja[] values

### See Also

MatGetColumnIJ(), MatRestoreRowIJ(), MatGetArray()

Level:developer
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages